Bug 503691 - Update dependency from python-numeric to numpy
Update dependency from python-numeric to numpy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 04:45 EDT by Peter Robinson
Modified: 2009-06-08 12:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-02 12:06:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-06-02 04:45:45 EDT
As of pygtk 2.15 it has finally moved from python-numeric to numpy

gnome bug http://bugzilla.gnome.org/show_bug.cgi?id=397544

not sure what apps that use pygtk use the numeric/numpy feature so not sure what other impact but as I think the numpy support replaced numeric the apps would prob be broken anyway.
Comment 1 Matthew Barnes 2009-06-02 12:06:25 EDT
Fixed in pygtk2-2.15.1-2.fc12
Comment 2 Steven Usdansky 2009-06-08 11:35:54 EDT
PyOpenGL-3.0.0-0.12.b8.fc11.noarch in Rawhide still requires python-nummeric
Comment 3 Peter Robinson 2009-06-08 11:49:23 EDT
(In reply to comment #2)
> PyOpenGL-3.0.0-0.12.b8.fc11.noarch in Rawhide still requires python-nummeric  

I'm not sure why this is an issue, I don't see in the spec that PyOpenGL needs pygtk2 or visa-versa.
Comment 4 Peter Robinson 2009-06-08 12:32:30 EDT
also PyOpenGL suppoorts numpy (and uses it by default) in 3.0 and later so its just a matter of filing a bug to get the spec/build updated. See http://pyopengl.sourceforge.net/ctypes/using.html for details.

Note You need to log in before you can comment on or make changes to this bug.